{ *************************************************************************** }
{                                                                             }
{ Hotzonu 2 ichigobbs Ranking Form Unit                                       }
{                                                                             }
{ 2001-02 Hotzonu Project, Monazilla Software Foundation 2001                 }
{                                                                             }
{ *************************************************************************** }

unit IchigoRank;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, Dlghead, StdCtrls, ExtCtrls, EnhListView, ExtListView,
  Buttons, HttpProt, Main;

type
  TIchigobbsRankingDialog = class(TForm)
    StatusBar1: TStatusBar;
    Panel1: TPanel;
    Panel2: TPanel;
    ListView1: TdfsExtListView;
    Label1: TLabel;
    Image1: TImage;
    SpeedButton1: TSpeedButton;
    HttpCli1: THttpCli;
    Shape1: TShape;
    procedure FormActivate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure FormDeactivate(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure ListView1DblClick(Sender: TObject);
  private
    { Private 錾 }
    FSaveHeight: integer;
    FHttpStream : TStringStream;
  public
    { Public 錾 }
  end;

var
  IchigobbsRankingDialog: TIchigobbsRankingDialog;

implementation

{$R *.dfm}

uses
  ZonuConf, ZonuClass, MonaUtils, Hzbconst;

procedure TIchigobbsRankingDialog.FormActivate(Sender: TObject);
begin
  SetWindowPos(Handle,  HWND_TOPMOST, 0, 0, 0, 0, SWP_NOSIZE or SWP_NOMOVE);
  Height  :=  FSaveHeight;
end;

procedure TIchigobbsRankingDialog.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  SetWindowPos(Handle, HWND_NOTOPMOST, 0, 0, 0, 0, SWP_NOSIZE or SWP_NOMOVE);
end;

procedure TIchigobbsRankingDialog.FormCreate(Sender: TObject);
begin
  FSaveHeight :=  Height;
end;

procedure TIchigobbsRankingDialog.FormDeactivate(Sender: TObject);
begin
  FSaveHeight :=  Height;
  Height  :=  0;
end;

procedure TIchigobbsRankingDialog.SpeedButton1Click(Sender: TObject);
var
  F15chSite: TSite;
  Board: TBoard;
  BoardID: string;
  Item: TListItem;
  sl: TStringList;
  s: string;
  i, no : integer;
begin
  ListView1.Items.Clear;
  Screen.Cursor :=  crHourGlass;
  FHttpStream   :=  TStringStream.Create('');
  if  (ZonuConfig.ProxyUse) then  begin
    HttpCli1.Proxy          :=  ZonuConfig.Proxy;
    HttpCli1.ProxyPort      :=  ZonuConfig.ProxyPort;
    HttpCli1.ProxyUsername  :=  ZonuConfig.ProxyUserName;
    HttpCli1.ProxyPassword  :=  ZonuConfig.ProxyPassword;
  end;
  HttpCli1.Agent            :=  USER_AGENT;
  FHttpStream.Position      :=  0;
  FHttpStream.Size          :=  0;
  HttpCli1.RcvdStream       :=  FHttpStream;
  HttpCli1.URL              :=  ZonuConfig.IchigoRankingUrl;

  HotzonuWindow.Memo1.Lines.Add('ʃLO擾łEEE');
  HotzonuWindow.Memo1.Lines.Add('By d-w-b ' + HttpCli1.URL);

  HttpCli1.Get;

  HotzonuWindow.Memo1.Lines.Add('擾:' + IntToStr(HttpCli1.StatusCode));

  if  (HttpCli1.StatusCode = 200) then  begin
    ZonuEnviron.SiteList.FindSite('15ch', F15chSite);
    sl      :=  TStringList.Create;
    sl.Text :=  FHttpStream.DataString;
    Item  :=  nil;
    no    :=  0;
    Board :=  nil;
    for i :=  0 to  sl.Count - 1 do  begin
      if  (AnsiPos('<li><a ', sl[i]) > 0) then  begin
        s :=  Copy(sl[i], AnsiPos('href="', sl[i]) + 7, Length(sl[i]));
        s :=  Copy(s, 1, AnsiPos('/"', s) - 1);
        BoardID :=  ExtractUrlName(s);
        if  (F15chSite.BoardList.FindBoard(BoardID, Board)) then  begin
          Item  :=  ListView1.Items.Add;
          Item.Caption  :=  Format('%.4d', [no + 1]);
          Item.SubItems.Add(Board.Name);
          Item.Data :=  Board;
          if  (Board.Gaishutu)  then  begin
            Item.ImageIndex :=  10;
          end else begin
            Item.ImageIndex :=  -1;
          end;
        end else begin
          Board :=  nil;
        end;
        Inc(no);
      end else
      if  (AnsiPos('( <a ', sl[i]) > 0) and (Board <> nil)  then  begin
        s :=  Copy(sl[i], AnsiPos('>', sl[i]) + 1, Length(sl[i]));
        s :=  Copy(s, 1, AnsiPos('<', s) - 1);
        Item.SubItems.Add(s);
        Item.SubItems.Add(Board.BoardID);
      end;
    end;
  end;
  //
  Screen.Cursor     :=  crDefault;
end;

procedure TIchigobbsRankingDialog.ListView1DblClick(Sender: TObject);
begin
  if  (ListView1.Selected <> nil) then  begin
    HotzonuWindow.LoadThreadList(TBoard(ListView1.Selected.Data),
                                 False,
                                 False);
  end;
end;

end.
