{ *************************************************************************** }
{                                                                             }
{ Hotzonu 2 SETTING.TXT Window Unit                                           }
{                                                                             }
{ 2001-02 Hotzonu Project, Monazilla Software Foundation 2001                 }
{                                                                             }
{ *************************************************************************** }

unit SettingTxt2ch;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, Dlghead, Grids, ValEdit, HttpProt, ZonuClass, StdCtrls,
  OleCtrls, SHDocVw, EmbeddedWB, ExtCtrls;

type
  TSettingTextDialog = class(TForm)
    StatusBar1: TStatusBar;
    HeaderFrame1: THeaderFrame;
    HttpCli1: THttpCli;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    ValueListEditor1: TValueListEditor;
    Memo1: TMemo;
    Splitter1: TSplitter;
    EmbeddedWB1: TEmbeddedWB;
  private
    { Private 錾 }
    FHttpStream : TStringStream;
  public
    { Public 錾 }
    procedure Download(var Board: TBoard);
  end;

var
  SettingTextDialog: TSettingTextDialog;

implementation

{$R *.dfm}

uses
  Main, ZonuConf, Hzbconst, MonaUtils, Zonutils;

{ TSettingTextDialog }

procedure TSettingTextDialog.Download(var Board: TBoard);
var
  s: string;
begin
  FHttpStream   :=  TStringStream.Create('');
  if  (ZonuConfig.ProxyUse) then  begin
    HttpCli1.Proxy          :=  ZonuConfig.Proxy;
    HttpCli1.ProxyPort      :=  ZonuConfig.ProxyPort;
    HttpCli1.ProxyUsername  :=  ZonuConfig.ProxyUserName;
    HttpCli1.ProxyPassword  :=  ZonuConfig.ProxyPassword;
  end;
  HttpCli1.Agent            :=  USER_AGENT;
  FHttpStream.Position      :=  0;
  FHttpStream.Size          :=  0;
  HttpCli1.RcvdStream       :=  FHttpStream;
  HttpCli1.NoCache          :=  True;
  HttpCli1.URL              :=  ExtractURLPath(Board.Url) + 'SETTING.TXT';
  HotzonuWindow.Memo1.Lines.Add('ł...');
  Screen.Cursor             :=  crHourGlass;
  ValueListEditor1.Enabled  :=  False;
  HttpCli1.Get;
  if  (HttpCli1.StatusCode = 200) then  begin
    HotzonuWindow.Memo1.Lines.Add('emFEEE');
    S :=  FHttpStream.DataString;
    ValueListEditor1.Strings.Text :=  S;
    Memo1.Lines.Text              :=  S;
    S :=  Memo1.Lines.Values['BBS_TITLE_PICTURE'];
    if  (S <> '') then  begin
      EmbeddedWB1.Navigate(S);
    end;
  end;
  ValueListEditor1.Enabled  :=  True;
  Screen.Cursor             :=  crDefault;
end;

end.
