{ *************************************************************************** }
{                                                                             }
{ Hotzonu 2 URL Dialog Unit                                                   }
{                                                                             }
{ 2001-02 Hotzonu Project, Monazilla Software Foundation 2001                 }
{                                                                             }
{ *************************************************************************** }

unit Urldlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ZonuConf, Dlghead;

type
  TUrlDialog = class(TForm)
    Label1: TLabel;
    UrlEdit: TEdit;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    Button1: TButton;
    Button3: TButton;
    Button4: TButton;
    Button2: TButton;
    Bevel1: TBevel;
    HeaderFrame1: THeaderFrame;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    FBBSLink: boolean;
    FOpenByChotto: boolean;
    FOpenInHotzonu: boolean;
    FOpenByBrowser: boolean;
    function GetUrl: string;
    procedure SetUrl(const Value: string);
    function GetCheckBroCra: boolean;
    //function GetOpenMode: TOpenMode;
    procedure SetBBSLink(const Value: boolean);
    function GetTabActivate: boolean;
    { Private 錾 }
  public
    { Public 錾 }
    property  Url: string   read  GetUrl  write SetUrl;
    property  CheckBroCra: boolean  read  GetCheckBroCra;
    //property  OpenMode: TOpenMode read  GetOpenMode;
    property  BBSLink: boolean  read  FBBSLink  write SetBBSLink;
    property  OpenInHotzonu: boolean  read  FOpenInHotzonu;
    property  OpenByBrowser: boolean  read  FOpenByBrowser;
    property  OpenByChotto: boolean  read  FOpenByChotto;
    property  TabActivate: boolean  read  GetTabActivate;
  end;

//var
//  UrlDialog: TUrlDialog;

implementation

{$R *.dfm}

{ TUrlDialog }

procedure TUrlDialog.FormCreate(Sender: TObject);
begin
  CheckBox1.Checked     :=  ZonuConfig.CheckBroCra;
  FOpenByChotto   :=  False;
  FOpenInHotzonu  :=  False;
  FOpenByBrowser  :=  False;
end;

function TUrlDialog.GetUrl: string;
begin
  Result  :=  UrlEdit.Text;
end;

procedure TUrlDialog.SetUrl(const Value: string);
begin
  UrlEdit.Text  :=  Value;
end;

procedure TUrlDialog.Button1Click(Sender: TObject);
begin
  FOpenInHotzonu  :=  (Sender = Button1);
  FOpenByBrowser  :=  (Sender = Button3);
  FOpenByChotto   :=  (Sender = Button4);

  ZonuConfig.CheckBroCra  :=  CheckBox1.Checked;
  //ZonuConfig.OpenMode     :=  TOpenMode(RadioGroup1.ItemIndex);
  ModalResult :=  mrOk;
end;

procedure TUrlDialog.Button2Click(Sender: TObject);
begin
  ModalResult :=  mrCancel;
end;

function TUrlDialog.GetCheckBroCra: boolean;
begin
  Result  :=  CheckBox1.Checked;
end;
{
function TUrlDialog.GetOpenMode: TOpenMode;
begin
  Result  :=  TOpenMode(RadioGroup1.ItemIndex);
end;
}
procedure TUrlDialog.SetBBSLink(const Value: boolean);
begin
  FBBSLink := Value;
  if  (FBBSLink)  then  begin
    CheckBox1.Checked :=  False;
    CheckBox1.Enabled :=  False;
    //RadioGroup1.Items.Add('');
  end;
end;

function TUrlDialog.GetTabActivate: boolean;
begin
  Result  :=  CheckBox2.Checked;
end;

end.
