program hzb20;

uses
  Windows,
  Messages,
  SysUtils,
  Forms,
  Main in 'Main.pas' {HotzonuWindow},
  Hzbconst in 'Hzbconst.pas',
  ZonuConf in 'zonulib\ZonuConf.pas',
  Dolib in 'dolib\Dolib.pas',
  GikoBas in 'gikobas\GIKOBAS.PAS',
  crc in 'gzip_delphi2\crc.pas',
  gzip in 'gzip_delphi2\gzip.pas',
  zlib in 'gzip_delphi2\zlib.pas',
  jconvert in 'jconvert\jconvert.pas',
  MonaTest in 'monalib\MonaTest.pas',
  MonaUtils in 'monalib\MonaUtils.pas',
  ZonuClass in 'zonulib\ZonuClass.pas',
  Zonutils in 'zonulib\Zonutils.pas',
  Zonu2ch in 'zonulib\Zonu2ch.pas',
  ZonuDolib in 'zonulib\ZonuDolib.pas',
  Zonu15ch in 'zonulib\Zonu15ch.pas',
  ZonuMegabbs in 'zonulib\ZonuMegabbs.pas',
  ZonuShitaraba in 'zonulib\ZonuShitaraba.pas',
  ZonuJbbs in 'zonulib\ZonuJbbs.pas',
  Zonu12ch in 'zonulib\Zonu12ch.pas',
  ZonuCustom in 'zonulib\ZonuCustom.pas',
  ZonuLocal in 'zonulib\ZonuLocal.pas',
  ZonuCommon in 'zonulib\ZonuCommon.pas',
  ZonuHttp in 'zonulib\ZonuHttp.pas',
  Hzbfunc in 'Hzbfunc.pas',
  Hzbclass in 'Hzbclass.pas',
  Option in 'Option.pas' {OptionDialog},
  DolibModule in 'DolibModule.pas' {DolibManager: TDataModule},
  Logindlg2ch in 'Logindlg2ch.pas' {LoginDialog2ch},
  Filterdlg in 'Filterdlg.pas' {FilterDialog},
  Ngword in 'Ngword.pas',
  Bbsdlg in 'Bbsdlg.pas' {BBSDialog},
  BbsOrder in 'BbsOrder.pas' {BBSOrderDialog},
  Keybind in 'Keybind.pas' {KeyBindDialog},
  Skindlg2 in 'Skindlg2.pas' {SkinDialog2},
  Hndldlg in 'Hndldlg.pas' {HandleDialog},
  Actdlg in 'Actdlg.pas' {ActionDialog},
  Actdlg2 in 'Actdlg2.pas' {ActionDialog2},
  ZonuFavorites in 'zonulib\ZonuFavorites.pas',
  Boardedt in 'Boardedt.pas' {BoardEditor},
  Urldlg in 'Urldlg.pas' {UrlDialog},
  Chotto in 'Chotto.pas' {ChottoWindow},
  SendForm in 'SendForm.pas' {SendDialog},
  Prvw in 'Prvw.pas' {PreviewWindow},
  Errdlg in 'Errdlg.pas' {ErrorDialog},
  Newthrd in 'Newthrd.pas' {NewThreadDialog},
  Aboutdlg in 'Aboutdlg.pas' {AboutDialog},
  Favdlg in 'Favdlg.pas' {FavoriteDialog},
  Tooledt in 'Tooledt.pas' {ToolEditDialog},
  Tooldlg in 'Tooldlg.pas' {ToolDialog},
  Custmbar in 'Custmbar.pas' {CustomToolbarDialog},
  HzbDatConv in 'HzbDatConv.pas',
  boardlst in 'boardlst.pas' {BoardListDialog},
  Favedt in 'Favedt.pas' {FavoritesEditor},
  Propdlg in 'Propdlg.pas' {PropertyWindow},
  ZonuShortcutBar in 'ZonuShortcutBar.pas',
  Bbswiz in 'Bbswiz.pas' {BBSWizard},
  Shrtcut in 'Shrtcut.pas' {ShortcutEditor},
  shrdlg in 'shrdlg.pas' {ShortcutDialog},
  Comntdlg in 'Comntdlg.pas' {MemoDialog},
  Prordlg in 'Prordlg.pas' {PriorityDialog},
  Hzbround in 'Hzbround.pas',
  ZonuAhhan in 'zonulib\ZonuAhhan.pas',
  ZonuMachibbs in 'zonulib\ZonuMachibbs.pas',
  Abonedlg in 'Abonedlg.pas' {AboneDialog},
  ZonuAction in 'ZonuAction.pas',
  Localdlg in 'Localdlg.pas' {LocalDialog},
  Custommn in 'Custommn.pas' {CustomPopupMenuDialog},
  Extrlnk in 'Extrlnk.pas' {ExtractLinkDialog},
  Katjubrd in 'Katjubrd.pas' {KatjuBoardDialog},
  Dlghead in 'hzbframe\Dlghead.pas' {HeaderFrame: TFrame},
  Bookmk in 'Bookmk.pas' {BookmarkManager},
  Zonu1_5ch in 'zonulib\Zonu1_5ch.pas',
  Finddlg in 'Finddlg.pas' {FindWindow},
  Skindlg in 'Skindlg.pas' {SkinDialog},
  Expdlg in 'Expdlg.pas' {ExportDialog},
  Infodlg in 'Infodlg.pas' {InfoDialog},
  Killpop in 'Killpop.pas' {KillPopupDialog},
  Memo in 'Memo.pas' {ZonuMemoWindow},
  Columndlg in 'Columndlg.pas' {ColumnDialog},
  Hzbdirect in 'Hzbdirect.pas' {DirectDialog},
  Amescape2ch in 'Amescape2ch.pas' {AmezoScape2ch},
  Histdlg in 'Histdlg.pas' {HistDialog},
  Rebonedlg in 'Rebonedlg.pas' {ReboneDialog},
  ShitarabaMsg in 'ShitarabaMsg.pas' {ShitarabaMessagerDialog},
  ShitarabaMail in 'ShitarabaMail.pas' {ShitarabaMailDialog},
  Megabbs in 'Megabbs.pas',
  IchigoRank in 'IchigoRank.pas' {IchigobbsRankingDialog},
  IchigoHeadline in 'IchigoHeadline.pas',
  Bbssetup in 'Bbssetup.pas' {BBSSetupDialog},
  Headline2ch in 'Headline2ch.pas' {Headline2chDialog},
  Ninkinet in 'Ninkinet.pas',
  ShitarabaLogin in 'ShitarabaLogin.pas' {ShitaragaLoginDialog},
  Zonu2chKakolog in 'zonulib\Zonu2chKakolog.pas',
  MegabbsSearch in 'MegabbsSearch.pas' {MegabbsSearchDialog},
  hzbchk in 'Hzbchk.pas',
  Splash in 'Splash.pas' {SplashWindow},
  SettingTxt2ch in 'SettingTxt2ch.pas' {SettingTextDialog},
  Bbsedt in 'Bbsedt.pas' {BBSEditor},
  Debugdlg in 'Debugdlg.pas' {DebugForm},
  Hzb10vw in 'Hzb10vw.pas' {Hzb10ViewMode},
  aaedit in 'aaedit.pas' {AAEditor},
  Naverdlg in 'Naverdlg.pas' {NaverDialog},
  ZonuShitarabaJbbs in 'zonulib\ZonuShitarabaJbbs.pas';

{$R *.res}

var
  hMutex : THandle;
  Wnd, AppWnd, ZonuWnd : Hwnd;

  i : integer;
  CDS : TCopyDataStruct;
  Msg : PChar;
  LenStr: Integer;
  SendString : string;

begin
  hMutex  :=  OpenMutex(MUTEX_ALL_ACCESS, False, 'Hotzonu2');
  if  (hMutex = 0)  then  begin
    SplashWindow  :=  TSplashWindow.Create(Application);
    SplashWindow.Show;
    SplashWindow.Update;
    hMutex := CreateMutex(nil, False, 'Hotzonu2');
    Application.Initialize;
    Application.Title := 'zbg]kQ';
  Application.CreateForm(TDolibManager, DolibManager);
  Application.CreateForm(THotzonuWindow, HotzonuWindow);
  Application.Run;
    ReleaseMutex(hMutex);
  end else begin
    Wnd := Windows.FindWindow('THotzonuWindow', nil);
    if  (Wnd <> 0)  then  begin
      SetForegroundWindow(Wnd);
      AppWnd := GetWindowLong(Wnd, GWL_HWNDPARENT);
      if AppWnd <> 0 then Wnd := AppWnd;
      if IsIconic(Wnd) then begin
        SendMessage(AppWnd, WM_SYSCOMMAND, SC_RESTORE, -1);
      end;
      if  (ParamCount > 0)  then  begin
        ZonuWnd :=  Windows.FindWindow('THotzonuWindow', nil);
        if  (ZonuWnd <> 0)  then  begin
          SendString  :=  '';
          for i :=  1 to  ParamCount  do  begin
            SendString  :=  SendString + ' ' + ParamStr(i);
          end;
          LenStr := Length(SendString) + 1;
          CDS.cbData := LenStr;
          GetMem(Msg,LenStr);
          try
            StrPCopy(Msg, SendString);
            CDS.lpData := Msg;
            SendMessage(ZonuWnd, WM_COPYDATA, Application.Handle, LParam(@CDS));
          finally
            FreeMem(Msg,LenStr);
          end;
        end;
      end;
    end;
    CloseHandle(hMutex);
  end;
end.
