{ *************************************************************************** }
{                                                                             }
{ Hotzonu 2 BBS 2ch Kako Log Script Unit                                      }
{                                                                             }
{ 2001-02 Hotzonu Project, Monazilla Software Foundation 2001                 }
{                                                                             }
{ *************************************************************************** }

unit Zonu2chKakolog;

interface

uses
  Classes, SysUtils, Forms, Dialogs, ZonuClass, ZonuCommon, ZonuHttp, Hzbconst,
  IniFiles, DolibModule, ZonuDolib;

type
  T2chKakolog = class(TDolibScript)
  private
  public
    //procedure DownloadResList(Adapter: TEventAdapter; ThreadItem: TThreadItem;
    //  Reload, AutoPilot, LoadCache: boolean); override;
    procedure DownloadThreadItem(Downloader: TResDownloader;
      const NoCache, ASync, InfSave, AutoPilot: boolean); override;
  end;

implementation

{ T2chKakolog }

procedure T2chKakolog.DownloadThreadItem(Downloader: TResDownloader;
  const NoCache, ASync, InfSave, AutoPilot: boolean);
begin
  if  (not AutoPilot) then  begin
    if  (Downloader.ThreadItem.DownloadCount = 0)  then  begin
      if  (not DolibManager.Connected)  then  begin
        if  (not  DolibManager.Connect)  then  begin
          DolibManager.ShowErrorMsg;
          DolibManager.Disconnect;
          Downloader.FireEndDownload(True);
          Exit;
        end;
      end;
      ExecOfflaw(Downloader);
      Downloader.FireEndDownload(False);
    end else begin
      Downloader.FireEndDownload(False);
    end;
  end else begin
    Downloader.FireEndDownload(False);
  end;
end;

end.
