{ *************************************************************************** }
{                                                                             }
{ Hotzonu 2 Action Dialog Unit                                                }
{                                                                             }
{ 2001-02 Hotzonu Project, Monazilla Software Foundation 2001                 }
{                                                                             }
{ *************************************************************************** }

unit Actdlg2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, Buttons, ExtCtrls, CheckLst, Spin,
  EnhListView, ExtListView, Clipbrd, ZonuAction, ZonuClass, Main,
  Hzbclass, Dlghead;

type
  TActionKind = (akRes, akThread);

  TActionDialog2 = class(TForm)
    Button2: TButton;
    Button1: TButton;
    PageControl3: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Bevel1: TBevel;
    Bevel2: TBevel;
    CheckListBox1: TCheckListBox;
    ComboBox1: TComboBox;
    PageControl2: TPageControl;
    tabLike: TTabSheet;
    Label5: TLabel;
    Memo1: TMemo;
    tabSame: TTabSheet;
    Label6: TLabel;
    Memo2: TMemo;
    tabLength: TTabSheet;
    Label7: TLabel;
    SpinEdit1: TSpinEdit;
    tabCount: TTabSheet;
    Label8: TLabel;
    SpinEdit2: TSpinEdit;
    tabDate: TTabSheet;
    Label9: TLabel;
    SpinEdit3: TSpinEdit;
    ComboBox2: TComboBox;
    PageControl1: TPageControl;
    tabAbone: TTabSheet;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    tabReplace: TTabSheet;
    Label10: TLabel;
    Memo3: TMemo;
    tabPopup: TTabSheet;
    tabAddToFav: TTabSheet;
    tabMoveToLocal: TTabSheet;
    tabBookmark: TTabSheet;
    tabSetColor: TTabSheet;
    Label11: TLabel;
    Shape1: TShape;
    SpeedButton1: TSpeedButton;
    tabSetReverse: TTabSheet;
    tabSetBold: TTabSheet;
    tabSetKakoLog: TTabSheet;
    tabBlank1: TTabSheet;
    tabBlank2: TTabSheet;
    Panel2: TPanel;
    Panel3: TPanel;
    CheckBox4: TCheckBox;
    Panel4: TPanel;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    Label12: TLabel;
    Label13: TLabel;
    ListView1: TListView;
    tabSetPriority: TTabSheet;
    SpinEdit4: TSpinEdit;
    Label14: TLabel;
    CheckBox3: TCheckBox;
    HeaderFrame1: THeaderFrame;
    tabNonGet: TTabSheet;
    Label1: TLabel;
    SpinEdit5: TSpinEdit;
    ColorDialog1: TColorDialog;
    Label15: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure ComboBox2Change(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure CheckBox4Click(Sender: TObject);
    procedure RadioButton2Click(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
  private
    { Private 錾 }
    FAction: TZonuAction;
    FCurrentBoard : TBoard;
    FActionKind: TActionKind;
    function GetCurrentBoard: TBoard;
    procedure InitDialog;
  public
    { Public 錾 }
    procedure Add(ActionKind: TActionKind; AAction: TZonuAction;
      const ASiteID, ABoardID: string);
    procedure Edit(ActionKind: TActionKind; AAction: TZonuAction);
    property  ActionKind: TActionKind read  FActionKind;
  end;

var
  ActionDialog2: TActionDialog2;

implementation

{$R *.dfm}

procedure TActionDialog2.FormCreate(Sender: TObject);
  procedure _Rebuild(Site: TSite;  BoardList: TBoardList);
  var
    Item  : TListItem;
    i : integer;
  begin
    for i :=  0 to  BoardList.Count - 1 do  begin
      Item  :=  ListView1.Items.Add;
      Item.Caption  :=  Site.SiteName;
      Item.SubItems.Add(BoardList[i].CategoryName);
      Item.SubItems.Add(BoardList[i].Name);
      Item.Data     :=  BoardList[i];
      Item.Checked  :=  False;
      Item.ImageIndex :=  Site.ImageIndex;
    end;
  end;
var
  i: integer;
begin
  PageControl3.ActivePageIndex  :=  0;
  FCurrentBoard   :=  nil;
  ListView1.Items.BeginUpdate;
  ListView1.Items.Clear;
  for i :=  0 to  ZonuEnviron.SiteList.Count - 1 do  begin
    _Rebuild(ZonuEnviron.SiteList[i], ZonuEnviron.SiteList[i].BoardList);
  end;
  ListView1.Items.EndUpdate;
end;

procedure TActionDialog2.ComboBox1Change(Sender: TObject);
begin
  if  (ActionKind = akRes)  then  begin
    case  ComboBox1.ItemIndex of
    {
    0 \
    1 u
    2 m点
    3 
    }
     -1 : begin
            PageControl1.ActivePage :=  tabBlank1;
          end;
      0 : begin
            PageControl1.ActivePage :=  tabAbone;
          end;
      1 : begin
            PageControl1.ActivePage :=  tabReplace;
          end;
      2 : begin
            PageControl1.ActivePage :=  tabPopup;
          end;
      3 : begin
            PageControl1.ActivePage :=  tabBookmark;
          end;
    end;
  end else begin
    case  ComboBox1.ItemIndex of
    {
    0 \
    1 u
    2 m点
    3 Cɓɓo^
    4 [JOɈړ
    5 Ft
    6 ]
    7 ɂ
    8 ߋOݒ肷
    9 dvxύX
    }
     -1 : begin
            PageControl1.ActivePage :=  tabBlank1;
          end;
      0 : begin
            PageControl1.ActivePage :=  tabAbone;
          end;
      1 : begin
            PageControl1.ActivePage :=  tabReplace;
          end;
      2 : begin
            PageControl1.ActivePage :=  tabPopup;
          end;
      3 : begin
            PageControl1.ActivePage :=  tabAddToFav;
          end;
      4 : begin
            PageControl1.ActivePage :=  tabMoveToLocal;
          end;
      5 : begin
            PageControl1.ActivePage :=  tabSetColor;
          end;
      6 : begin
            PageControl1.ActivePage :=  tabSetReverse;
          end;
      7 : begin
            PageControl1.ActivePage :=  tabSetBold;
          end;
      8 : begin
            PageControl1.ActivePage :=  tabSetKakoLog;
          end;
      9 : begin
            PageControl1.ActivePage :=  tabSetPriority;
          end;
    end;
  end;
end;

procedure TActionDialog2.ComboBox2Change(Sender: TObject);
begin
  if  (ActionKind = akRes)  then  begin
    case  ComboBox2.ItemIndex of
      {
      0 w蕶񂪊܂܂
      1 w蕶ƈv
      2 oCgȉ
      3 oCgȏ
      }
     -1 : begin
            PageControl2.ActivePage :=  tabBlank2;
          end;
      0 : begin
            PageControl2.ActivePage :=  tabLike;
          end;
      1 : begin
            PageControl2.ActivePage :=  tabSame;
          end;
      2 : begin
            PageControl2.ActivePage :=  tabLength;
          end;
      3 : begin
            PageControl2.ActivePage :=  tabLength;
          end;
    end;
  end else begin
    case  ComboBox2.ItemIndex of
    {
    0 w蕶񂪊܂܂
    1 w蕶ƈv
    2 oCgȉ
    3 oCgȏ
    4 Xz
    5 o
    6 擾̃Xz
    }
     -1 : begin
            PageControl2.ActivePage :=  tabBlank2;
          end;
      0 : begin
            PageControl2.ActivePage :=  tabLike;
          end;
      1 : begin
            PageControl2.ActivePage :=  tabSame;
          end;
      2 : begin
            PageControl2.ActivePage :=  tabLength;
          end;
      3 : begin
            PageControl2.ActivePage :=  tabLength;
          end;
      4 : begin
            PageControl2.ActivePage :=  tabCount;
          end;
      5 : begin
            PageControl2.ActivePage :=  tabDate;
          end;
      6 : begin
            PageControl2.ActivePage :=  tabNonGet;
          end;
    end;
  end;
end;

procedure TActionDialog2.Add(ActionKind: TActionKind; AAction: TZonuAction;
  const ASiteID, ABoardID: string);
var
  Board   : TBoard;
  Site    : TSite;
  i : integer;
  s : string;
begin
  FActionKind :=  ActionKind;
  InitDialog;

  PageControl3.ActivePageIndex  :=  0;
  Label13.Caption       :=  '[]';
  RadioButton2.Checked  :=  True;
  FAction               :=  AAction;
  s :=  Clipboard.AsText;
  Memo1.Lines.Text      :=  Trim(s);
  Memo2.Lines.Text      :=  Clipboard.AsText;
  if  (ZonuEnviron.SiteList.FindSite(ASiteID, Site)) then  begin
    if  (not Site.BoardList.FindBoard(ABoardID, Board)) then  begin
      Board :=  GetCurrentBoard;
    end;
    if  (Board <> nil)  then  begin
      RadioButton1.Checked    :=  True;
      Label13.Caption         :=  '[' + Board.Name + ']';
      for i :=  0 to  ListView1.Items.Count - 1 do  begin
        ListView1.Items[i].Checked  :=  (TBoard(ListView1.Items[i].Data).BoardID = Board.BoardID);
      end;
      FCurrentBoard     :=  Board;
      ListView1.Enabled :=  False;
      CheckBox4.Checked :=  False;
      CheckBox4.Enabled :=  False;
    end else begin
      RadioButton2.Checked  :=  True;
      Label13.Caption       :=  '[]';
      ListView1.Enabled     :=  True;
      CheckBox4.Checked     :=  False;
      CheckBox4.Enabled     :=  True;
      FCurrentBoard         :=  nil;
    end;
    if  (ABoardID = '#ALL')  then  begin
      ListView1.Enabled       :=  True;
      CheckBox4.Enabled       :=  True;
      CheckBox4.Checked       :=  True;
      RadioButton2.Checked    :=  True;
      for i :=  0 to  ListView1.Items.Count - 1 do  begin
        ListView1.Items[i].Checked  :=  True;
      end;
    end;
  end;
end;

procedure TActionDialog2.Edit(ActionKind: TActionKind; AAction: TZonuAction);
var
  i,x  : integer;
begin
  FActionKind :=  ActionKind;
  InitDialog;
  
  PageControl3.ActivePageIndex  :=  0;
  FAction               :=  AAction;
  ListView1.Enabled     :=  True;
  CheckBox4.Enabled     :=  True;
  CheckBox4.Checked     :=  False;
  FCurrentBoard         :=  GetCurrentBoard;
  if  (FCurrentBoard = nil) then  begin
    Label13.Caption     :=  '[]';
  end else begin
    Label13.Caption     :=  '[' + FCurrentBoard.Name + ']';
  end;
  //
  if  (ActionKind  =  akRes)  then  begin
    CheckBox3.Hide;
    ////////////////////////////////////////////////////////////////////////////
    {
    0 nh
    1 [AhX
    2 ID
    3 {
    }
    CheckListBox1.Checked[0]  :=  (atResHandle  in  AAction.Target);
    CheckListBox1.Checked[1]  :=  (atResMail    in  AAction.Target);
    CheckListBox1.Checked[2]  :=  (atResID      in  AAction.Target);
    CheckListBox1.Checked[3]  :=  (atResBody    in  AAction.Target);
    {
    0 w蕶񂪊܂܂
    1 w蕶ƈv
    2 oCgȉ
    3 oCgȏ
    }
    if  (AAction.ActionWhere = awLike)  then  begin
      ComboBox2.ItemIndex :=  0;
      Memo1.Lines.Text    :=  StringReplace(AAction.Param1, '#13#10', #13#10, [rfReplaceAll]);
    end else
    if  (AAction.ActionWhere = awSame)  then  begin
      ComboBox2.ItemIndex :=  1;
      Memo2.Lines.Text    :=  StringReplace(AAction.Param1, '#13#10', #13#10, [rfReplaceAll]);
    end else
    if  (AAction.ActionWhere = awLengthLT)  then  begin
      ComboBox2.ItemIndex :=  2;
      SpinEdit1.Value     :=  StrToIntDef(AAction.Param1, 0);
    end else
    if  (AAction.ActionWhere = awLengthGT)  then  begin
      ComboBox2.ItemIndex :=  3;
      SpinEdit1.Value     :=  StrToIntDef(AAction.Param1, 0);
    end else begin
      ComboBox2.ItemIndex :=  -1;
      PageControl2.ActivePage :=  tabBlank2;
    end;
    {
    0 \
    1 u
    2 m点
    3 
    }
    if  (AAction.ActionType = atAbone)  then  begin
      ComboBox1.ItemIndex     :=  0;
      PageControl1.ActivePage :=  tabAbone;
      CheckBox1.Checked       :=  AAction.AboneHideInPopup;
      CheckBox2.Checked       :=  AAction.AboneRelation;
    end else
    if  (AAction.ActionType = atReplace)  then  begin
      ComboBox1.ItemIndex     :=  1;
      PageControl1.ActivePage :=  tabReplace;
      Memo3.Lines.Text    :=  StringReplace(AAction.Param2, '#13#10', #13#10, [rfReplaceAll]);
    end else
    {
    if  (AAction.ActionType = atPopup)  then  begin
      ComboBox1.ItemIndex     :=  2;
      PageControl1.ActivePage :=  tabPopup;
    end else
    if  (AAction.ActionType = atAddToFav)  then  begin
      ComboBox1.ItemIndex     :=  3;
      PageControl1.ActivePage :=  tabAddToFav;
    end else
    if  (AAction.ActionType = atMoveToLocal)  then  begin
      ComboBox1.ItemIndex     :=  4;
      PageControl1.ActivePage :=  tabMoveToLocal;
    end else
    }
    if  (AAction.ActionType = atPopup)  then  begin
      ComboBox1.ItemIndex :=  2;
      PageControl1.ActivePage :=  tabBlank1;
    end;
    if  (AAction.ActionType = atBookmark)  then  begin
      ComboBox1.ItemIndex     :=  3;
      PageControl1.ActivePage :=  tabBookmark;
    end else
    {
    if  (AAction.ActionType = atSetColor)  then  begin
      ComboBox1.ItemIndex     :=  6;
      PageControl1.ActivePage :=  tabSetColor;
      Shape1.Brush.Color      :=  StringToColor(AAction.Param2);
    end else
    if  (AAction.ActionType = atSetReverse)  then  begin
      ComboBox1.ItemIndex     :=  7;
      PageControl1.ActivePage :=  tabSetReverse;
    end else
    if  (AAction.ActionType = atSetBold)  then  begin
      ComboBox1.ItemIndex     :=  8;
      PageControl1.ActivePage :=  tabSetBold;
    end else
    if  (AAction.ActionType = atSetKakoLog)  then  begin
      ComboBox1.ItemIndex     :=  9;
      PageControl1.ActivePage :=  tabSetKakoLog;
    end else begin
      ComboBox1.ItemIndex :=  -1;
      PageControl1.ActivePage :=  tabBlank1;
    end;
    }
    ////////////////////////////////////////////////////////////////////////////
  end else begin
    ////////////////////////////////////////////////////////////////////////////
    CheckBox3.Show;
    CheckBox3.Checked :=  AAction.NewThreadOnly;
    {
    0 ^Cg
    1 X
    2 ŏIǍ
    }
    CheckListBox1.Checked[0]  :=  (atThreadTitle    in  AAction.Target);
    CheckListBox1.Checked[1]  :=  (atThreadResCount in  AAction.Target);
    CheckListBox1.Checked[2]  :=  (atThreadLoadDate in  AAction.Target);
    {
    0 w蕶񂪊܂܂
    1 w蕶ƈv
    2 oCgȉ
    3 oCgȏ
    4 Xz
    5 o
    6 擾X𒴂
    }
    if  (AAction.ActionWhere = awLike)  then  begin
      ComboBox2.ItemIndex :=  0;
      Memo1.Lines.Text    :=  StringReplace(AAction.Param1, '#13#10', #13#10, [rfReplaceAll]);
    end else
    if  (AAction.ActionWhere = awSame)  then  begin
      ComboBox2.ItemIndex :=  1;
      Memo2.Lines.Text    :=  StringReplace(AAction.Param1, '#13#10', #13#10, [rfReplaceAll]);
    end else
    if  (AAction.ActionWhere = awLengthLT)  then  begin
      ComboBox2.ItemIndex :=  2;
      SpinEdit1.Value     :=  StrToIntDef(AAction.Param1, 0);
    end else
    if  (AAction.ActionWhere = awLengthGT)  then  begin
      ComboBox2.ItemIndex :=  3;
      SpinEdit1.Value     :=  StrToIntDef(AAction.Param1, 0);
    end else
    if  (AAction.ActionWhere = awCountGT)  then  begin
      ComboBox2.ItemIndex :=  4;
      SpinEdit2.Value     :=  StrToIntDef(AAction.Param1, 0);
    end else
    if  (AAction.ActionWhere = awDateGT)  then  begin
      ComboBox2.ItemIndex :=  5;
      SpinEdit3.Value     :=  StrToIntDef(AAction.Param1, 0);
    end else
    if  (AAction.ActionWhere = awNonGetCountGT)  then  begin
      ComboBox2.ItemIndex :=  6;
      SpinEdit5.Value     :=  StrToIntDef(AAction.Param1, 0);
    end else begin
      ComboBox2.ItemIndex :=  -1;
      PageControl2.ActivePage :=  tabBlank2;
    end;
    {
    0 \
    1 u
    2 m点
    3 Cɓɓo^
    4 [JOɈړ
    5 Ft
    6 ]
    7 ɂ
    8 ߋOݒ肷
    9 dvxύX
    }
    if  (AAction.ActionType = atAbone)  then  begin
      ComboBox1.ItemIndex     :=  0;
      PageControl1.ActivePage :=  tabAbone;
      CheckBox1.Checked       :=  AAction.AboneHideInPopup;
      CheckBox2.Checked       :=  AAction.AboneRelation;
    end else
    if  (AAction.ActionType = atReplace)  then  begin
      ComboBox1.ItemIndex     :=  1;
      PageControl1.ActivePage :=  tabReplace;
      Memo3.Lines.Text    :=  StringReplace(AAction.Param2, '#13#10', #13#10, [rfReplaceAll]);
    end else
    if  (AAction.ActionType = atPopup)  then  begin
      ComboBox1.ItemIndex     :=  2;
      PageControl1.ActivePage :=  tabPopup;
    end else
    if  (AAction.ActionType = atAddToFav)  then  begin
      ComboBox1.ItemIndex     :=  3;
      PageControl1.ActivePage :=  tabAddToFav;
    end else
    if  (AAction.ActionType = atMoveToLocal)  then  begin
      ComboBox1.ItemIndex     :=  4;
      PageControl1.ActivePage :=  tabMoveToLocal;
    end else
    if  (AAction.ActionType = atSetColor)  then  begin
      ComboBox1.ItemIndex     :=  5;
      PageControl1.ActivePage :=  tabSetColor;
      Shape1.Brush.Color      :=  StringToColor(AAction.Param2);
    end else
    if  (AAction.ActionType = atSetReverse)  then  begin
      ComboBox1.ItemIndex     :=  6;
      PageControl1.ActivePage :=  tabSetReverse;
    end else
    if  (AAction.ActionType = atSetBold)  then  begin
      ComboBox1.ItemIndex     :=  7;
      PageControl1.ActivePage :=  tabSetBold;
    end else
    if  (AAction.ActionType = atSetKakoLog)  then  begin
      ComboBox1.ItemIndex     :=  8;
      PageControl1.ActivePage :=  tabSetKakoLog;
    end else
    if  (AAction.ActionType = atSetPriority)  then  begin
      ComboBox1.ItemIndex     :=  9;
      PageControl1.ActivePage :=  tabSetPriority;
    end else begin
      ComboBox1.ItemIndex :=  -1;
      PageControl1.ActivePage :=  tabBlank1;
    end;
    ////////////////////////////////////////////////////////////////////////////
  end;


  if  (ComboBox2.ItemIndex > -1)  then  begin
    ComboBox2.OnChange(ComboBox2);
  end;
  if  (ComboBox1.ItemIndex > -1)  then  begin
    ComboBox1.OnChange(ComboBox1);
  end;
  //
  RadioButton2.Checked      :=  True;
  //
  for i :=  0 to  ListView1.Items.Count - 1 do  begin
    ListView1.Items[i].Checked  :=  False;
  end;
  //
  for i :=  0 to  AAction.TargetBoardList.Count - 1 do  begin
    if  (AAction.TargetBoardList[i].IsAll)  then  begin
      CheckBox4.Checked :=  True;
      CheckBox4.OnClick(Self);
      Break;
    end else begin
      for x :=  0 to  ListView1.Items.Count - 1 do  begin
        if  (AAction.TargetBoardList[i].SiteID    = TBoard(ListView1.Items[x].Data).Site.SiteID)  and
            (AAction.TargetBoardList[i].BoardID   = TBoard(ListView1.Items[x].Data).BoardID)
        then  begin
          ListView1.Items[x].Checked  :=  True;
        end;
      end;
    end;
  end;
end;

function TActionDialog2.GetCurrentBoard: TBoard;
var
  Browser : TZonuBrowser;
  ListDoc : TZonuListDoc;
begin
  Result  :=  nil;
  if  (HotzonuWindow.GetActiveBrowser(Browser)) then  begin
    Result  :=  Browser.Board;
  end else begin
    if  (HotzonuWindow.GetActiveListDoc(ListDoc)) then  begin
      Result  :=  ListDoc.Board;
    end;
  end;
end;

procedure TActionDialog2.Button2Click(Sender: TObject);
begin
  ModalResult :=  mrCancel;
end;

procedure TActionDialog2.Button1Click(Sender: TObject);
var
  ATargetBoard : TTargetBoard;
  i : integer;
begin
  if  (ActionKind = akRes)  then  begin
    ////////////////////////////////////////////////////////////////////////////
    {
    0 nh
    1 [AhX
    2 ID
    3 {
    }
    FAction.Target    :=  [];
    if  (CheckListBox1.Checked[0])  then  begin
      FAction.Target  :=  FAction.Target  + [atResHandle];
    end;
    if  (CheckListBox1.Checked[1])  then  begin
      FAction.Target  :=  FAction.Target  + [atResMail];
    end;
    if  (CheckListBox1.Checked[2])  then  begin
      FAction.Target  :=  FAction.Target  + [atResID];
    end;
    if  (CheckListBox1.Checked[3])  then  begin
      FAction.Target  :=  FAction.Target  + [atResBody];
    end;
    {
    0 w蕶񂪊܂܂
    1 w蕶ƈv
    2 oCgȉ
    3 oCgȏ
    }
    if  (ComboBox2.ItemIndex  = 0)  then  begin
      FAction.ActionWhere       :=  awLike;
      FAction.Param1            :=  StringReplace(Memo1.Lines.Text,#13#10,'#13#10',[rfReplaceAll]);
      FAction.Param2            :=  '';
    end else
    if  (ComboBox2.ItemIndex  = 1)  then  begin
      FAction.ActionWhere       :=  awSame;
      FAction.Param1            :=  StringReplace(Memo2.Lines.Text,#13#10,'#13#10',[rfReplaceAll]);
      FAction.Param2            :=  '';
    end else
    if  (ComboBox2.ItemIndex  = 2)  then  begin
      FAction.ActionWhere       :=  awLengthLT;
      FAction.Param1            :=  IntToStr(SpinEdit1.Value);
      FAction.Param2            :=  '';
    end else
    if  (ComboBox2.ItemIndex  = 3)  then  begin
      FAction.ActionWhere       :=  awLengthGT;
      FAction.Param1            :=  IntToStr(SpinEdit1.Value);
      FAction.Param2            :=  '';
    end;
    {
    0 \
    1 u
    2 m点
    3 
    }
    if  (ComboBox1.ItemIndex  = 0)  then  begin
      FAction.ActionType        :=  atAbone;
      FAction.AboneHideInPopup  :=  CheckBox1.Checked;
      FAction.AboneRelation     :=  CheckBox2.Checked;
    end else
    if  (ComboBox1.ItemIndex  = 1)  then  begin
      FAction.ActionType        :=  atReplace;
      FAction.Param2            :=  StringReplace(Memo3.Lines.Text,#13#10,'#13#10',[rfReplaceAll]);
    end else
    if  (ComboBox1.ItemIndex  = 2)  then  begin
      FAction.ActionType        :=  atPopup;
    end else
    if  (ComboBox1.ItemIndex  = 3)  then  begin
      FAction.ActionType        :=  atBookmark;
    end;
    ////////////////////////////////////////////////////////////////////////////
  end else begin
    ////////////////////////////////////////////////////////////////////////////
    FAction.NewThreadOnly       :=  CheckBox3.Checked;
    {
    0 ^Cg
    1 X
    2 ŏIǍ
    }
    FAction.Target    :=  [];
    if  (CheckListBox1.Checked[0])  then  begin
      FAction.Target  :=  FAction.Target  + [atThreadTitle];
    end;
    if  (CheckListBox1.Checked[1])  then  begin
      FAction.Target  :=  FAction.Target  + [atThreadResCount];
    end;
    if  (CheckListBox1.Checked[2])  then  begin
      FAction.Target  :=  FAction.Target  + [atThreadLoadDate];
    end;
    {
    0 w蕶񂪊܂܂
    1 w蕶ƈv
    2 oCgȉ
    3 oCgȏ
    4 Xz
    5 o
    6 擾X𒴂
    }
    if  (ComboBox2.ItemIndex  = 0)  then  begin
      FAction.ActionWhere       :=  awLike;
      FAction.Param1            :=  StringReplace(Memo1.Lines.Text,#13#10,'#13#10',[rfReplaceAll]);
      FAction.Param2            :=  '';
    end else
    if  (ComboBox2.ItemIndex  = 1)  then  begin
      FAction.ActionWhere       :=  awSame;
      FAction.Param1            :=  StringReplace(Memo2.Lines.Text,#13#10,'#13#10',[rfReplaceAll]);
      FAction.Param2            :=  '';
    end else
    if  (ComboBox2.ItemIndex  = 2)  then  begin
      FAction.ActionWhere       :=  awLengthLT;
      FAction.Param1            :=  IntToStr(SpinEdit1.Value);
      FAction.Param2            :=  '';
    end else
    if  (ComboBox2.ItemIndex  = 3)  then  begin
      FAction.ActionWhere       :=  awLengthGT;
      FAction.Param1            :=  IntToStr(SpinEdit1.Value);
      FAction.Param2            :=  '';
    end else
    if  (ComboBox2.ItemIndex  = 4)  then  begin
      FAction.ActionWhere       :=  awCountGT;
      FAction.Param1            :=  IntToStr(SpinEdit2.Value);
      FAction.Param2            :=  '';
    end else
    if  (ComboBox2.ItemIndex  = 5)  then  begin
      FAction.ActionWhere       :=  awDateGt;
      FAction.Param1            :=  IntToStr(SpinEdit3.Value);
      FAction.Param2            :=  '';
    end else
    if  (ComboBox2.ItemIndex  = 6)  then  begin
      FAction.ActionWhere       :=  awNonGetCountGT;
      FAction.Param1            :=  IntToStr(SpinEdit5.Value);
      FAction.Param2            :=  '';
    end;
    {
    0 \
    1 u
    2 m点
    3 Cɓɓo^
    4 [JOɈړ
    5 Ft
    6 ]
    7 ɂ
    8 ߋOݒ肷
    9 dvxύX
    }
    if  (ComboBox1.ItemIndex  = 0)  then  begin
      FAction.ActionType        :=  atAbone;
      FAction.AboneHideInPopup  :=  CheckBox1.Checked;
      FAction.AboneRelation     :=  CheckBox2.Checked;
    end else
    if  (ComboBox1.ItemIndex  = 1)  then  begin
      FAction.ActionType        :=  atReplace;
      FAction.Param2            :=  StringReplace(Memo3.Lines.Text,#13#10,'#13#10',[rfReplaceAll]);
    end else
    if  (ComboBox1.ItemIndex  = 2)  then  begin
      FAction.ActionType        :=  atPopup;
    end else
    if  (ComboBox1.ItemIndex  = 3)  then  begin
      FAction.ActionType        :=  atAddToFav;
    end else
    if  (ComboBox1.ItemIndex  = 4)  then  begin
      FAction.ActionType        :=  atMoveToLocal;
    end else
    if  (ComboBox1.ItemIndex  = 5)  then  begin
      FAction.ActionType        :=  atSetColor;
      FAction.Param2            :=  ColorToString(Shape1.Brush.Color);
    end else
    if  (ComboBox1.ItemIndex  = 6)  then  begin
      FAction.ActionType        :=  atSetReverse;
    end else
    if  (ComboBox1.ItemIndex  = 7)  then  begin
      FAction.ActionType        :=  atSetBold;
    end else
    if  (ComboBox1.ItemIndex  = 8)  then  begin
      FAction.ActionType        :=  atSetKakoLog;
    end else
    if  (ComboBox1.ItemIndex  = 9)  then  begin
      FAction.ActionType        :=  atSetPriority;
      FAction.Param2            :=  IntToStr(SpinEdit4.Value);
    end;
    ////////////////////////////////////////////////////////////////////////////
  end;
  //
  FAction.TargetBoardList.Clear;
  if  (RadioButton1.Checked) then  begin
    if  (FCurrentBoard <> nil)  then  begin
      ATargetBoard  :=  TTargetBoard.Create;
      ATargetBoard.SiteID   :=  FCurrentBoard.Site.SiteID;
      ATargetBoard.BoardID  :=  FCurrentBoard.BoardID;
      ATargetBoard.IsAll    :=  False;
      FAction.TargetBoardList.Add(ATargetBoard);
    end;
  end else begin
    if  (CheckBox4.Checked) then  begin
      ATargetBoard  :=  TTargetBoard.Create;
      ATargetBoard.SiteID   :=  '#ALL';
      ATargetBoard.IsAll    :=  True;
      FAction.TargetBoardList.Add(ATargetBoard);
    end else begin
      for i :=  0 to  ListView1.Items.Count - 1 do  begin
        if  (ListView1.Items[i].Checked)  then  begin
          ATargetBoard  :=  TTargetBoard.Create;
          ATargetBoard.SiteID   :=  TBoard(ListView1.Items[i].Data).Site.SiteID;
          ATargetBoard.BoardID  :=  TBoard(ListView1.Items[i].Data).BoardID;
          ATargetBoard.IsAll    :=  False;
          FAction.TargetBoardList.Add(ATargetBoard);
        end;
      end;
    end;
  end;
  ModalResult :=  mrOk;
end;

procedure TActionDialog2.CheckBox4Click(Sender: TObject);
var
  i : integer;
begin
  for i :=  0 to  ListView1.Items.Count - 1 do  begin
    ListView1.Items[i].Checked  :=  CheckBox4.Checked;
  end;
  if  (CheckBox4.Checked) then  begin
    RadioButton2.Checked  :=  True;
  end;
end;

procedure TActionDialog2.InitDialog;
var
  i: integer;
begin
  for i :=  PageControl1.PageCount - 1  downto  0 do  begin
    PageControl1.Pages[i].TabVisible  :=  False;
  end;
  for i :=  PageControl2.PageCount - 1  downto  0 do  begin
    PageControl2.Pages[i].TabVisible  :=  False;
  end;
  PageControl1.ActivePage :=  tabBlank1;
  PageControl2.ActivePage :=  tabBlank2;
  //
  CheckListBox1.Items.Clear;
  ComboBox1.Items.Clear;
  ComboBox2.Items.Clear;
  if  (ActionKind = akRes)  then  begin
    CheckBox3.Hide;
    CheckListBox1.Items.Add('nh');
    CheckListBox1.Items.Add('[AhX');
    CheckListBox1.Items.Add('ID');
    CheckListBox1.Items.Add('{');

    ComboBox2.Items.Add('w蕶񂪊܂܂');
    ComboBox2.Items.Add('w蕶ƈv');
    ComboBox2.Items.Add('oCgȉ');
    ComboBox2.Items.Add('oCgȏ');

    ComboBox1.Items.Add('\');
    ComboBox1.Items.Add('u');
    ComboBox1.Items.Add('m点');
    ComboBox1.Items.Add('');
  end else begin
    CheckBox3.Show;
    CheckBox3.Checked :=  False;
    CheckListBox1.Items.Add('^Cg');
    CheckListBox1.Items.Add('X');
    CheckListBox1.Items.Add('ŏIǍ');

    ComboBox2.Items.Add('w蕶񂪊܂܂');
    ComboBox2.Items.Add('w蕶ƈv');
    ComboBox2.Items.Add('oCgȉ');
    ComboBox2.Items.Add('oCgȏ');
    ComboBox2.Items.Add('Xz');
    ComboBox2.Items.Add('o');
    ComboBox2.Items.Add('擾Xz');

    ComboBox1.Items.Add('\');
    ComboBox1.Items.Add('u');
    ComboBox1.Items.Add('m点');
    ComboBox1.Items.Add('Cɓɓo^');
    ComboBox1.Items.Add('[JOɈړ');
    ComboBox1.Items.Add('Ft');
    ComboBox1.Items.Add(']');
    ComboBox1.Items.Add('ɂ');
    ComboBox1.Items.Add('ߋOݒ肷');
    ComboBox1.Items.Add('dvxύX');
  end;
end;

procedure TActionDialog2.RadioButton2Click(Sender: TObject);
begin
  ListView1.Enabled :=  (RadioButton2.Checked);
  CheckBox4.Enabled :=  (RadioButton2.Checked);
end;

procedure TActionDialog2.SpeedButton1Click(Sender: TObject);
begin
  ColorDialog1.Color  :=  Shape1.Brush.Color;
  if  (ColorDialog1.Execute)  then  begin
    Shape1.Brush.Color  :=  ColorDialog1.Color;
  end;
end;

end.
